Package ch.qos.logback.classic.spi

## Class EventArgUtil

- java.lang.Object
- - ch.qos.logback.classic.spi.EventArgUtil

    public class EventArgUtil
    extends java.lang.Object

### Constructor Summary

Constructors
`EventArgUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.Object[]` `arrangeArguments​(java.lang.Object[] argArray)`
`static java.lang.Throwable` `extractThrowable​(java.lang.Object[] argArray)`
`static boolean` `successfulExtraction​(java.lang.Throwable throwable)`
`static java.lang.Object[]` `trimmedCopy​(java.lang.Object[] argArray)` This method should be called only if `successfulExtraction(Throwable)` returns true.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EventArgUtil

    public EventArgUtil()

### Method Detail

#### extractThrowable

    public static final java.lang.Throwable extractThrowable​(java.lang.Object[] argArray)

#### trimmedCopy

    public static java.lang.Object[] trimmedCopy​(java.lang.Object[] argArray)

This method should be called only if `successfulExtraction(Throwable)` returns true.

Parameters:
  `argArray` -
Returns:

#### arrangeArguments

    public static java.lang.Object[] arrangeArguments​(java.lang.Object[] argArray)

#### successfulExtraction

    public static boolean successfulExtraction​(java.lang.Throwable throwable)